Bug 120377 - FC2 release notes -- Xorg X11 updates.
FC2 release notes -- Xorg X11 updates.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Bailey
:
Depends On:
Blocks: fc-relnotes-blocker
  Show dependency treegraph
 
Reported: 2004-04-08 01:49 EDT by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-07 12:10:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-04-08 01:49:49 EDT
Please add a descriptive phrase to the summary, and more in-depth
description here (be sure to note any arch-specific issues):


>In this release, XFree86â„¢ has been replaced by a new X11
>distribution provided by X.Org. The new X.Org package is based on a
>prerelease snapshot of XFree86 4.4, and should be seamlessly
>compatible with XFree86.

It's not 100% "seamlessly compatible", or at least we have no
way to actually test that, so making a claim that strong is best
avoided, as people will definitely try to hold us to that claim
once something is found to have broken.  Also, we've already
discovered that ATI's binary drivers will not compile against
Xorg, but they run in it.

The release is based upon more than just prerelease of 4.4, so we
should probably update this part to match what X.org now says.  I
suggest replacing the above with this, which I extracted from the
X11R6.7.0 release notes:

"In this release, we have replaced the XFree86 X11 implementation
with the X.org Foundation's new official X11R6.7.0 X Window System
release, which is a merger of the previous official X11R6 release,
XFree86 4.4.0rc2, and additionally includes a number of updates to
Xrender, Xft, Xcursor, fontconfig libraries, and other significant
improvements, which are documented in the X.org X11R6.7.0 release
notes."


Just a side-note:  The "http://x.org" problem that previously existed
upstream has been fixed now, and the link should work again.
Comment 2 Ed Bailey 2004-04-13 16:48:07 EDT
I changed it just a bit; how's this?

In this release, the XFree86™ X11 implementation has been replaced
with the X.org Foundation's new official X11R6.7.0 X Window System
release. This release is a merger of the previous official X11R6
release, XFree86 4.4.0rc2, and additionally includes a number of
updates to Xrender, Xft, Xcursor, fontconfig libraries, and other
significant improvements. Refer to the X.org X11R6.7.0 release notes
for more information:

http://freedesktop.org/~xorg/X11R6.7.0/doc/RELNOTES.html
Comment 3 Mike A. Harris 2004-04-13 18:30:41 EDT
That sounds good to me Ed.  Thanks.
Comment 4 Ed Bailey 2004-04-14 14:42:39 EDT
Super!  Thanks for your feedback!
Comment 5 Mike A. Harris 2004-05-06 18:40:18 EDT
Recommendation:  I'd change the "X11R6.7.0" everywhere to read
"X11 Release 6.7.0" instead, as it is easier to read and less
cryptic reading.  I just noticed that while reviewing the release
notes.

Setting bug to REOPENED, but if you disagree with the suggested
change, it's not that big of a deal - just close it again.  ;o)

Thanks Ed.
Comment 6 Ed Bailey 2004-05-07 12:10:50 EDT
Hmmm, I changed it over and the wording just didn't seem to work. 
When you end up with something like "X11 Release 6.7.0 X Window System
release", it becomes difficult to keep it from sounding like the Monty
Python Spam skit... :-)

While I appreciate your suggestion, I think I'll leave it as-is, as I
can't think of a cure that isn't worse than the disease, so to
speak... :-)
Comment 7 Mike A. Harris 2004-05-08 01:51:56 EDT
Good point.  ;o)

Note You need to log in before you can comment on or make changes to this bug.